<?php
/**
 * HowTo Schema Type
 *
 * @package SEOvaultSEO\Schema\Types
 */

namespace SEOvaultSEO\Schema\Types;

use SEOvaultSEO\Schema\SchemaBase;

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

class HowTo extends SchemaBase {

	public function schema_data() {
		return array(
			'title'   => 'HowTo',
			'type'    => 'HowTo',
			'show_on' => array(
				'rules'        => array( 'post|post' ),
				'specific'     => array(),
				'specificText' => array(),
			),
			'fields'  => $this->parse_fields( $this->get() ),
		);
	}

	public function get() {
		return apply_filters(
			'seovaultseo_schema_type_howto',
			array(
				array(
					'id'      => 'schema_name',
					'label'   => __( 'Schema Title', 'seovault-ai' ),
					'show'    => true,
					'default' => true,
					'type'    => 'Title',
					'std'     => 'HowTo',
				),
				array(
					'id'       => '@id',
					'type'     => 'Hidden',
					'std'      => '%current.url%#howto',
					'required' => true,
					'default'  => true,
					'show'     => true,
				),
				array(
					'id'       => 'name',
					'label'    => __( 'Name', 'seovault-ai' ),
					'required' => true,
					'std'      => '%post.title%',
					'type'     => 'Text',
					'default'  => true,
					'show'     => true,
				),
				array(
					'id'      => 'description',
					'label'   => __( 'Description', 'seovault-ai' ),
					'default' => true,
					'show'    => true,
					'std'     => '%post.excerpt%',
					'type'    => 'Text',
				),
				array(
					'id'      => 'estimatedCost',
					'label'   => __( 'Estimated Cost', 'seovault-ai' ),
					'type'    => 'Group',
					'default' => true,
					'show'    => true,
					'fields'  => array(
						array(
							'id'      => '@type',
							'type'    => 'Hidden',
							'std'     => 'MonetaryAmount',
							'default' => true,
							'show'    => true,
						),
						array(
							'id'      => 'currency',
							'label'   => __( 'Currency', 'seovault-ai' ),
							'std'     => 'USD',
							'type'    => 'Text',
							'default' => true,
							'show'    => true,
						),
						array(
							'id'      => 'value',
							'label'   => __( 'Cost', 'seovault-ai' ),
							'std'     => '',
							'type'    => 'Text',
							'default' => true,
							'show'    => true,
						),
					),
				),
				array(
					'id'      => 'step',
					'label'   => __( 'Steps', 'seovault-ai' ),
					'type'    => 'Group',
					'default' => true,
					'show'    => true,
					'fields'  => array(
						array(
							'id'      => '@type',
							'type'    => 'Hidden',
							'std'     => 'HowToStep',
							'default' => true,
							'show'    => true,
						),
						array(
							'id'      => 'name',
							'label'   => __( 'Step Name', 'seovault-ai' ),
							'std'     => '',
							'type'    => 'Text',
							'default' => true,
							'show'    => true,
						),
						array(
							'id'      => 'text',
							'label'   => __( 'Step Text', 'seovault-ai' ),
							'std'     => '',
							'type'    => 'Text',
							'default' => true,
							'show'    => true,
						),
					),
				),
				array(
					'id'      => 'totalTime',
					'label'   => __( 'Total Time', 'seovault-ai' ),
					'default' => true,
					'show'    => true,
					'std'     => '',
					'type'    => 'Text',
				),
			)
		);
	}
}
